search

Copy page

Copy page as Markdown for LLMs

View as Markdown

View this page as plain text


Open in ChatGPT

Ask ChatGPT about this page

Open in Claude

Ask Claude about this page

Aspect Table

Examine the interplay between celestial bodies with the Aspect Table, highlighting significant astrological relationships and their impacts.


Step by Step Aspect Table API Postman Testing Integration

https://support.divineapi.com/western-astrology-apis/testing-western-api-aspect-table-api-using-postman


Supported Language Codes

Support Article URL:
https://support.divineapi.com/general-api-support/translating-a-natal-apis-into-a-different-language

CodeLanguage
enEnglish
hiHindi
ptPortuguese
frFrench
deGerman
jaJapanese
trTurkish
ruRussian
itItalian
esSpanish
nlDutch
plPolish

Guide: These languages are supported by this API. You can use them by passing lan in the body with the value of the language.


House System Codes

House System Codes Support Article URL:
https://support.divineapi.com/western-astrology-apis/how-to-change-the-house-system-code-in-natal-astrology

CodeHouse System Name
PPlacidus
KKoch
RRegiomontanus
CCampanus
AEqual
WEqual, Whole Sign
NWhole Sign, Aries = 1st House
XAxial Rotation System / Meridian Houses
TPolich/Page (“Topocentric”)
MMorinus
OPorphyry
BAlcabitius
DEqual / MC
EEqual = A
FCarter Poli-Equatorial
G36 Gauquelin Sectors
HHorizon / Azimuth
ISunshine
iSunshine (Alternative)
LPullen S-Delta
QPullen S-Ratio
SSripati
UKrusinski-Pisa-Goelzer
VEqual Vehlow
YAPC Houses

Note: The default house system used is P – Placidus.


API Endpoint

POST https://astroapi-8.divineapi.com/western-api/v1/aspect-table

Returns Aspect Table in response.


Headers

NameTypeDescription
Authorization*StringYour API Access Token, e.g. Bearer {token}

Request Body

NameTypeDescription
api_key*StringYour API key
full_name*StringFull name, e.g. Rahul Kumar
day*IntegerDate of birth, e.g. 24
month*IntegerMonth of birth, e.g. 05
year*IntegerYear of birth, e.g. 2023
hour*IntegerHour, e.g. 14
min*IntegerMinute, e.g. 40
sec*IntegerSecond, e.g. 43
gender*StringGender, e.g. male
place*StringPlace, e.g. New Delhi
lat*FloatLatitude, e.g. 28.7041
lon*FloatLongitude, e.g. 77.1025
tzone*FloatTimezone, e.g. 5.5 (see Timezone List)
lanStringLanguage (default: en)
house_systemStringHouse system code (default: P - Placidus)
node_typeStringmeannode or truenode (default: meannode)
aspect_orbs_typeStringType of aspect orb used for aspect calculation, e.g. FIXED
aspect_orbs_valueIntegerOrb value(s) used for aspect calculation, e.g.5_30
aspects_typeStringControls which aspects are included in the result, e.g. ALL

Aspects Selection (aspects_type)

You can control which astrological aspects are included by using the aspects_type parameter.
It can take one of four kinds of values only:

ALL

All supported aspects (major + minor) are calculated and returned.

MAJOR_ASPECTS

Only major aspects are calculated and returned:
Conjunction, Sextile, Square, Trine, Opposition.

MINOR_ASPECTS

Only minor aspects are calculated and returned:
Semisextile, Semisquare, Sesquiquadrate, Quincunx, Quintile, Biquintile, Novile, Septile.

Custom Aspect List (comma-separated)

You may pass one or more individual aspect names, separated by commas.

Only the selected aspects will be calculated and returned.

Allowed values in the custom list:

Value
CONJUNCTION
SEXTILE
SQUARE
TRINE
OPPOSITION
SEMISEXTILE
SEMISQUARE
SESQUIQUADRATE
QUINCUNX
QUINTILE
BIQUINTILE
NOVILE
SEPTILE


Examples:

Single aspect:
aspects_type = "CONJUNCTION"

Multiple aspects:
aspects_type = "SEXTILE,TRINE,QUINTILE"
aspects_type = "SEMISQUARE,SEMISEXTILE,QUINCUNX"

Whatever you select in the custom list must be one or more of the allowed aspect tokens above, separated by commas. Only those aspects will be shown in the response.

Aspect Orb Settings 

The aspect_orbs_type parameter defines how the orb values are interpreted. It supports two modes:

1. FIXED

When aspect_orbs_type = FIXED, the orb range (0°30' to 15°00') is applied based on the degree group:

1. 0°30' to 3°00':  Applies to All Aspects

2. 3°30' to 4°00': Applies to Major Aspects Only

3. 4°30' to 15°00': Applies to Major Aspects Except Sextile

Example values:
0_30, 1_00, 5_00, 12_00, 15_00
(Use underscore to represent degrees_minutes format)

2. PERCENTAGE

When using PERCENTAGE, the aspect_orbs_value represents a percentage adjustment applied to the default orb.

Allowed percentage range: -90% - +100%

Example values:
-20%, -10%, 0%, +20%, +50%, +100%

3. BOTH

You may also support both modes, allowing the user to choose either FIXED or PERCENTAGE based on their preference.

aspect_orbs_typeMeaningaspect_orbs_value Range
FIXEDOrb defined in fixed degrees/minutes0°30' – 15°00'
PERCENTAGEOrb adjusted by percentage-90% to +100%
BOTHAllows either modeFollows the rules of each mode

200: OK Aspect Table Fetched Successfully

{
    "status": "success",
    "code": 200,
    "message": "Request successful",
    "data": [
        {
            "planetOne": "Sun",
            "planetTwo": "Moon",
            "orb": 2.9,
            "aspect": "Septile"
        },
        {
            "planetOne": "Sun",
            "planetTwo": "Venus",
            "orb": 4.93,
            "aspect": "Novile"
        },
        {
            "planetOne": "Sun",
            "planetTwo": "Mars",
            "orb": 0.83,
            "aspect": "Sextile"
        },
        {
            "planetOne": "Sun",
            "planetTwo": "Jupiter",
            "orb": 1.24,
            "aspect": "Semisextile"
        },
        {
            "planetOne": "Sun",
            "planetTwo": "Saturn",
            "orb": 3.76,
            "aspect": "Square"
        },
        {
            "planetOne": "Sun",
            "planetTwo": "Pluto",
            "orb": 2.72,
            "aspect": "Trine"
        },
        {
            "planetOne": "Sun",
            "planetTwo": "Ascendant",
            "orb": 2.75,
            "aspect": "Trine"
        },
        {
            "planetOne": "Sun",
            "planetTwo": "Chiron",
            "orb": 4.47,
            "aspect": "Novile"
        },
        {
            "planetOne": "Sun",
            "planetTwo": "North node",
            "orb": 0.36,
            "aspect": "Semisextile"
        },
        {
            "planetOne": "Sun",
            "planetTwo": "South node",
            "orb": 0.36,
            "aspect": "Quincunx"
        },
        {
            "planetOne": "Moon",
            "planetTwo": "Mars",
            "orb": 4.84,
            "aspect": "Conjunction"
        },
        {
            "planetOne": "Moon",
            "planetTwo": "Jupiter",
            "orb": 4.43,
            "aspect": "Square"
        },
        {
            "planetOne": "Moon",
            "planetTwo": "Saturn",
            "orb": 3.43,
            "aspect": "Biquintile"
        },
        {
            "planetOne": "Moon",
            "planetTwo": "Uranus",
            "orb": 4.47,
            "aspect": "Quintile"
        },
        {
            "planetOne": "Moon",
            "planetTwo": "Neptune",
            "orb": 0.01,
            "aspect": "Trine"
        },
        {
            "planetOne": "Moon",
            "planetTwo": "Pluto",
            "orb": 2.95,
            "aspect": "Opposition"
        },
        {
            "planetOne": "Moon",
            "planetTwo": "Ascendant",
            "orb": 3.58,
            "aspect": "Quintile"
        },
        {
            "planetOne": "Moon",
            "planetTwo": "North node",
            "orb": 5.31,
            "aspect": "Square"
        },
        {
            "planetOne": "Moon",
            "planetTwo": "South node",
            "orb": 5.31,
            "aspect": "Square"
        },
        {
            "planetOne": "Mercury",
            "planetTwo": "Venus",
            "orb": 3.12,
            "aspect": "Quintile"
        },
        {
            "planetOne": "Mercury",
            "planetTwo": "Saturn",
            "orb": 2.3,
            "aspect": "Sextile"
        },
        {
            "planetOne": "Mercury",
            "planetTwo": "Neptune",
            "orb": 1.72,
            "aspect": "Novile"
        },
        {
            "planetOne": "Mercury",
            "planetTwo": "Ascendant",
            "orb": 2.69,
            "aspect": "Biquintile"
        },
        {
            "planetOne": "Venus",
            "planetTwo": "Jupiter",
            "orb": 4.17,
            "aspect": "Quintile"
        },
        {
            "planetOne": "Venus",
            "planetTwo": "Saturn",
            "orb": 3.82,
            "aspect": "Sesquiquadrate"
        },
        {
            "planetOne": "Venus",
            "planetTwo": "Uranus",
            "orb": 1.87,
            "aspect": "Sextile"
        },
        {
            "planetOne": "Venus",
            "planetTwo": "Chiron",
            "orb": 0.59,
            "aspect": "Square"
        },
        {
            "planetOne": "Venus",
            "planetTwo": "North node",
            "orb": 3.29,
            "aspect": "Quintile"
        },
        {
            "planetOne": "Mars",
            "planetTwo": "Jupiter",
            "orb": 0.41,
            "aspect": "Square"
        },
        {
            "planetOne": "Mars",
            "planetTwo": "Saturn",
            "orb": 1.41,
            "aspect": "Biquintile"
        },
        {
            "planetOne": "Mars",
            "planetTwo": "Uranus",
            "orb": 0.36,
            "aspect": "Quintile"
        },
        {
            "planetOne": "Mars",
            "planetTwo": "Neptune",
            "orb": 4.83,
            "aspect": "Trine"
        },
        {
            "planetOne": "Mars",
            "planetTwo": "Pluto",
            "orb": 1.89,
            "aspect": "Opposition"
        },
        {
            "planetOne": "Mars",
            "planetTwo": "Ascendant",
            "orb": 3.58,
            "aspect": "Sextile"
        },
        {
            "planetOne": "Mars",
            "planetTwo": "North node",
            "orb": 0.47,
            "aspect": "Square"
        },
        {
            "planetOne": "Mars",
            "planetTwo": "South node",
            "orb": 0.47,
            "aspect": "Square"
        },
        {
            "planetOne": "Jupiter",
            "planetTwo": "Saturn",
            "orb": 5,
            "aspect": "Sextile"
        },
        {
            "planetOne": "Jupiter",
            "planetTwo": "Neptune",
            "orb": 4.42,
            "aspect": "Semisextile"
        },
        {
            "planetOne": "Jupiter",
            "planetTwo": "Pluto",
            "orb": 1.48,
            "aspect": "Square"
        },
        {
            "planetOne": "Jupiter",
            "planetTwo": "Ascendant",
            "orb": 3.99,
            "aspect": "Quincunx"
        },
        {
            "planetOne": "Jupiter",
            "planetTwo": "North node",
            "orb": 0.88,
            "aspect": "Conjunction"
        },
        {
            "planetOne": "Jupiter",
            "planetTwo": "South node",
            "orb": 0.88,
            "aspect": "Opposition"
        },
        {
            "planetOne": "Saturn",
            "planetTwo": "Uranus",
            "orb": 1.05,
            "aspect": "Quintile"
        },
        {
            "planetOne": "Saturn",
            "planetTwo": "Pluto",
            "orb": 3.52,
            "aspect": "Novile"
        },
        {
            "planetOne": "Saturn",
            "planetTwo": "Ascendant",
            "orb": 1.01,
            "aspect": "Quincunx"
        },
        {
            "planetOne": "Saturn",
            "planetTwo": "Chiron",
            "orb": 1.77,
            "aspect": "Novile"
        },
        {
            "planetOne": "Saturn",
            "planetTwo": "North node",
            "orb": 4.12,
            "aspect": "Sextile"
        },
        {
            "planetOne": "Saturn",
            "planetTwo": "South node",
            "orb": 4.12,
            "aspect": "Trine"
        },
        {
            "planetOne": "Uranus",
            "planetTwo": "Neptune",
            "orb": 1.03,
            "aspect": "Septile"
        },
        {
            "planetOne": "Uranus",
            "planetTwo": "Ascendant",
            "orb": 0.95,
            "aspect": "Sesquiquadrate"
        },
        {
            "planetOne": "Uranus",
            "planetTwo": "Chiron",
            "orb": 1.28,
            "aspect": "Semisextile"
        },
        {
            "planetOne": "Neptune",
            "planetTwo": "Pluto",
            "orb": 2.94,
            "aspect": "Sextile"
        },
        {
            "planetOne": "Neptune",
            "planetTwo": "North node",
            "orb": 5.3,
            "aspect": "Semisextile"
        },
        {
            "planetOne": "Neptune",
            "planetTwo": "South node",
            "orb": 0.7,
            "aspect": "Biquintile"
        },
        {
            "planetOne": "Pluto",
            "planetTwo": "Ascendant",
            "orb": 5.47,
            "aspect": "Trine"
        },
        {
            "planetOne": "Pluto",
            "planetTwo": "North node",
            "orb": 2.36,
            "aspect": "Square"
        },
        {
            "planetOne": "Pluto",
            "planetTwo": "South node",
            "orb": 2.36,
            "aspect": "Square"
        },
        {
            "planetOne": "Ascendant",
            "planetTwo": "North node",
            "orb": 3.11,
            "aspect": "Quincunx"
        },
        {
            "planetOne": "Ascendant",
            "planetTwo": "South node",
            "orb": 3.11,
            "aspect": "Semisextile"
        }
    ]
}

Example Code Implementations

Below are example implementations in various programming environments.


cURL

curl --location 'https://astroapi-8.divineapi.com/western-api/v1/aspect-table' \
--header 'Authorization: Bearer {token}' \
--form 'api_key="Your API Key"' \
--form 'full_name="Rahul Kumar"' \
--form 'day="24"' \
--form 'month="05"' \
--form 'year="2023"' \
--form 'hour="14"' \
--form 'min="40"' \
--form 'sec="43"' \
--form 'gender="male"' \
--form 'place="New Delhi, India"' \
--form 'lat="28.7041"' \
--form 'lon="77.1025"' \
--form 'tzone="5.5"' \
--form 'lan="en"' \
--form 'house_system="P"' \
--form 'aspect_orbs_type="FIXED"' \
--form 'aspect_orbs_value="5_30"' \
--form 'aspects_type="ALL"'

NodeJS

var request = require('request');
var options = {
  'method': 'POST',
  'url': 'https://astroapi-8.divineapi.com/western-api/v1/aspect-table',
  'headers': {
    'Authorization': 'Bearer {token}'
  },
  formData: {
    'api_key': 'Your API Key',
    'full_name': 'Rahul Kumar',
    'day': '24',
    'month': '05',
    'year': '2023',
    'hour': '14',
    'min': '40',
    'sec': '43',
    'gender': 'male',
    'place': 'New Delhi, India',
    'lat': '28.7041',
    'lon': '77.1025',
    'tzone': '5.5',
    'lan': 'en',
    'house_system': 'P',
    'aspect_orbs_type': 'FIXED',
    'aspect_orbs_value': '5_30',
    'aspects_type': 'ALL'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

JavaScript (jQuery AJAX)

var form = new FormData();
form.append("api_key", "Your API Key");
form.append("full_name", "Rahul Kumar");
form.append("day", "24");
form.append("month", "05");
form.append("year", "2023");
form.append("hour", "14");
form.append("min", "40");
form.append("sec", "43");
form.append("gender", "male");
form.append("place", "New Delhi, India");
form.append("lat", "28.7041");
form.append("lon", "77.1025");
form.append("tzone", "5.5");
form.append("lan", "en");
form.append("house_system", "P");
form.append("aspect_orbs_type", "FIXED");
form.append("aspect_orbs_value", "5_30");
form.append("aspects_type", "ALL");

var settings = {
  "url": "https://astroapi-8.divineapi.com/western-api/v1/aspect-table",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {token}"
  },
  "processData": false,
  "mimeType": "multipart/form-data",
  "contentType": false,
  "data": form
};

$.ajax(settings).done(function (response) {
  console.log(response);
});

Python

import requests

url = "https://astroapi-8.divineapi.com/western-api/v1/aspect-table"

payload = {'api_key': 'Your API Key',
'full_name': 'Rahul Kumar',
'day': '24',
'month': '05',
'year': '2023',
'hour': '14',
'min': '40',
'sec': '43',
'gender': 'male',
'place': 'New Delhi, India',
'lat': '28.7041',
'lon': '77.1025',
'tzone': '5.5',
'lan': 'en',
'house_system': 'P',
'aspect_orbs_type': 'FIXED',
'aspect_orbs_value': '5_30',
'aspects_type': 'ALL'}
files=[

]
headers = {
  'Authorization': 'Bearer {token}'
}

response = requests.request("POST", url, headers=headers, data=payload, files=files)

print(response.text)